<!DOCTYPE html>
<html>

  <head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="My personal website">
    <meta name="author" content="Alexandre Acsensi">

    <title>Principles & Program Management</title>

    <link href="../../css/bootstrap.min.css" rel="stylesheet"> <!-- Bootstrap core CSS -->
    <link href="../../css/main.css" rel="stylesheet"> <!-- Custom styles for this template -->
    <link href="https://fonts.googleapis.com/css?family=Roboto:100,100i,300,300i,400,400i,500,500i,700,700i,900,900i" rel="stylesheet">

    <link rel="shortcut icon" type="image/png" href="../../img/aavlogo-black.png">

  </head>

  <body>

    <section id="mdeft1" >
      <div class="container">
        <div class="row">
          <div class="col-lg-8 mx-auto">
            <h2>Principles & Program Management</h2>
            <u><a class="text_black" href="http://academy.cba.mit.edu/classes/project_management/index.html" target="_blank"><h6>FabAcademy Principles & Program Management</h6></a> </u>
            <br>
            <br>
            <p >First week! Things to do:</p>
            <ul>
              <li> <u> <a class="text_black" href="#a"> Make a website and described how you did it </a> </li> </u>
              <li> Introduce yourself -  <u> <a class="text_black" target="_blank" href="../../aboutme.html"> go to aboutme page </a> </li></li> </u>
              <li> <u> <a class="text_black" href="#b"> Documentation steps for uploading files to archive </a> </li> </u>
              <li> <u> <a class="text_black" href="#c"> Describe and make a sketch of final project </a> </li> </u>
              <li> Push to the class archive - I guess it's done :)</li>
            </ul>


            <br>
            <hr>
            <br>

            <!-- Make a website and described how you did it -->
            <h4 id="a" >Make a website and described how you did it </h4>
            <br>
            <p>
            My personal website for Fabacademy + Master in design for emergent futures is: <u> <a class="text_black" href="https://mdef.gitlab.io/alexandre.acsensi/">https://mdef.gitlab.io/alexandre.acsensi/</a> </u>
            <br><br>
            I wanted to learn html + css so I decided to start making my website from a plain html. I'm using Atom as my text editor.
            I started following this tutorial: <u> <a class="text_black" href="https://gitlab.com/pages/plain-html">https://gitlab.com/pages/plain-html</a> </u>
            <br><br>
            Video of my webpage + html + css:
            <br>
            <video width="100%" height="auto" controls>
              <source src="files/webpage.mp4" type="video/mp4">
            </video>
            <br>
            <br>
            This is the tree that represents how I've been organizing my files:
            <br>
            <img src="files/weborg.PNG" height="auto" width="30%">
            </p>
            <p>
              And here some code lines:
            </p>
            <ul>
              <li>How to comment something in HTML: <code> < !-- comment here --> </code> </li>
              <li>How to put an image: <code> < img src="..your file.." height="auto" width="30%"> </code> </li>
              <li>How to make a break line: <code> < br > </code> </li>
              <li>How to make paragraph: <code> < p > </code> </li>
              <li>How to style the paragraph with css: <code> <br>p
              {<br>
                font-size: 17px;<br>
                font-family: Roboto, sans-serif;<br>
                font-weight: 300;<br>
              } </code> </li>
              <li>How to make insert a video:
                <code>
                  <br>
                  < video width="100%" height="auto" controls> <br>
                    < source src="files/webpage.mp4" type="video/mp4"> <br>
                  < /video> <br>

                </code>
              In this case I wanted the controls of the video, if you want to make a GIF video you should put <code>muted loop autoplay </code> in the attributes </li>

            </ul>

            <br>
            <hr>
            <br>

            <!-- Documente steps for uploading files to archive -->
            <h4 id="b" >Documentation steps for uploading files to archive </h4>
            <br>
            <ol>
              <li>On your computer, move the file you'd like to upload to GitHub into the local directory that was created when you cloned the repository.</li><br>
              <li>Open Git Bash.</li><br>
              <li>Change the current working directory to your local repository. Or open Git Bash inside the folder you want (windows)</li><br>
              <li>Stage the file for commit to your local repository.<br>
                <code>
                  $ git add . <br>
                  # Adds the file to your local repository and stages it for commit. To unstage a file, use 'git reset HEAD YOUR-FILE'.<br>
                </code>
              </li> <br>
              <li>
                Commit the file that you've staged in your local repository. <br>
                <code>
                $ git commit -m "Add existing file" <br>
                # Commits the tracked changes and prepares them to be pushed to a remote repository. To remove this commit and modify the file, use 'git reset --soft HEAD~1' and commit and add the file again.
                </code>
              </li> <br>
              <li>
                Push the changes in your local repository to GitHub.<br>
                <code>
                  $ git push origin your-branch <br>
                  # Pushes the changes in your local repository up to the remote repository you specified as the origin
                </code>
              </li> <br>
            </ol>
            <!--  -->

            <br>
            <hr>
            <br>

            <!--  -->
            <h4 id="c" >Describe and make a sketch of final project </h4>
            <br>
            <p>
              I still don't know wich one is gonna be my final project for fabacademy, but I want to make it relate with my MDEF ideas. In this link you can see my project proposals:
              <u> <a class="text_black" target="_blank" href="../../w12designdialogues.html">first term proposals</a> </u>
              <br><br>
              For the CAR SHARING POST project should be something like this: app where you can share the ride + post where you can visualize who is riding in real time.
              <br><br>
              <center> <img src="files/csp.png" width="25%"> </center>
              <br><br>
              For the NUMID and PLNT project should be something like this: Some kind of machine to grow and transplant vegetables in a smarter and easier way.
              <br><br><br>
              <center> <img src="files/maquina.png" width="40%"> </center>
            </p>

            <br>
            <br>
            <hr>
            <br>
            <br>

            <p>
              With the progress of the master and the fabacademy I have defined more my final project.<br>
              I will make two things:<br><br>
              <ul>
                <li>mini hydroponic bowl to grow or mantain vegetables: will be a 3d printed shape that can hold water
                 and also and air pump that make bubbles into the water. For the plants to live in an hydroponic system the water
                have to have O2 dissolved, this is the reason of the air pump.</li>
                <center> <img src="files/finalprojectdiagram.png" width="100%"> </center>
                <br><br>
                <li>vegetables box to mantain alive the plants inside the shop. This part will be the classic plastic vegetables box with some plugins.
                <br> "termoconformado"  of plastic inside in order to allow the box contain water + a cover as a plant support.</li>
              </ul>
            </p>

          </div>
        </div>
      </div>
    </section>

  </body>

</html>
